## org.eclipse.m2m.atl.dsls
Class Activator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.m2m.atl.dsls.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends org.eclipse.core.runtime.Plugin

The plugin Activator.

Field Summary
`static java.lang.String` `PLUGIN_ID` The plug-in ID.

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`Activator()` The constructor.

Method Summary
`static Activator` `getDefault()` Returns the shared instance.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

  The plug-in ID.

  See Also:
    Constant Field Values

Constructor Detail

### Activator

    public Activator()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `Plugin.start(org.osgi.framework.BundleContext)`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `Plugin.stop(org.osgi.framework.BundleContext)`

### getDefault

    public static Activator getDefault()

  Returns the shared instance.

  Returns:
    the shared instance

Copyright 2007 IBM Corporation and others. All Rights Reserved.